            #GIT_CMT=73b71ff0c5a7dae77da93acbc7676ee9731071b8
%define pypi_name sdnotify
Name: python-%{pypi_name}
Version: 0.3.2
Release:    1.el7
Url: https://pypi.org/project/%{pypi_name}/
Summary: A pure Python implementation of systemd's service notification protocol
License: MIT
Group: Development/Tools
Source: sdnotify-0.3.2.tar.bz2
BuildRoot: %{_tmppath}/%{pypi_name}-%{version}-%{release}-buildroot
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools
Requires: python2

%description
sdnotify is a pure Python implementation of the systemd sd_notify protocol. This protocol can be used to inform systemd about service start-up completion, watchdog events, and other service status changes.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{python_sitelib}/sdnotify*
%doc LICENSE.txt PKG-INFO

%changelog
* Wed May 9 2018 Kevin Lyons <kevin.x.lyons@oracle.com> - 0.3.2-1.el7
- Switch to source tree with buildrpm directory format

* Fri Apr 27 2018 Laszlo (Laca) Peter <laszlo.peter@oracle.com>
- initial spec file for sdnotify
